<?php $r="../";
$idrutero=$_GET['idrutero'];
require_once($r."inc/funciones.php");
validNotSession($r);
$mysqli = connectDB($r);
//if($spe!=$pru){ exit(header("Location:".$r."dashboard.php?error=NO TIENES PERMISO PARA ESTA SECCION"));}
$row7 = $mysqli->query("SELECT * FROM z_pagos WHERE idrutero='$idrutero' ORDER BY id DESC");
$row8 = $row7->fetch_assoc();
$fechai=$row8['fecha'];
if($fechai==""){$fecha1='2018-08-11';}
$fecha4= date("Y-m-d H:i:s");
$row1 = $mysqli->query("SELECT * FROM z_pedidos WHERE idrutero='$idrutero' AND fechaentrega BETWEEN '$fechai' AND '$fecha4'");
$diaspagar = array();
while($row2 = $row1->fetch_assoc()){
    $fecha1 = $row2['fechaentrega'];
    if (in_array($fecha1, $diaspagar)) {}else{array_push($diaspagar,$fecha1);}
    
}

foreach($diaspagar as $key => $item){ 
   $days++;
}

/*$off = $new->num_rows;
if($off>0){exit(header("Location:index.php?error=Este Pedido ya Fue Entregado"));}
$row1 = $mysqli->query("SELECT * FROM z_pedido INNER JOIN z_pedidos ON z_pedido.codigopedido='$code' AND z_pedidos.codigopedido='$code' AND z_pedidos.estado=1");*/
$arraycodigopedidos = array();
$arrayidproductos = array();
$arraycantidadproductos = array();
$arrayprecioproducto= array();
$endproductos= array();
$arraybono= array();

$row1 = $mysqli->query("SELECT * FROM z_pedidos WHERE idrutero='$idrutero' AND fechasalida BETWEEN '$fechai' AND '$fecha4 23:59:59'");
while($row2 = $row1->fetch_assoc()) {
    array_push($arraycodigopedidos,$row2['codigopedido']);
}
foreach($arraycodigopedidos as $key => $item){
    $pedido = $mysqli->query("SELECT * FROM z_pedido WHERE codigopedido='$item'");
    while($pedid = $pedido->fetch_assoc()){
    array_push($arrayidproductos,$pedid['idproducto']);
    array_push($arraycantidadproductos,$pedid['cantidad']);
    array_push($arrayprecioproducto,$pedid['precio']);
    array_push($arraybono,$pedid['bono']);}
}
foreach($arrayidproductos as $key => $item){ 
    if (in_array($item, $endproductos)) {}else{array_push($endproductos,$item);}
}
?>
<!DOCTYPE html>
<html lang="en">
  <?php include $r."inc/head.php"; ?>
  <style>
      .container-fluid{padding-right:5px;padding-left:5px;}
  </style>
<body>
  <?php include "nav.php"; ?>
    <div class="container-fluid">
      <div class="card mb-3">
        <div class="h3 card-header">
          <i class="fa fa-table"></i> PEDIDOS POR ENTREGAR <? $rutero=srute($idrutero); echo $rutero['nombre']; ?></div>
        <div class="card-body">
          <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
              <thead>
                <tr>
                  <th>id</th>
                  <th>Producto</th>
                  <th>cantidad</th>
                </tr>
              </thead>
              <tbody>
                  <?
                  foreach($endproductos as $pkey => $pitem){ 
                    foreach($arrayidproductos as $key => $item){
                            if($pitem==$item){$suma=$arraycantidadproductos[$key];$bono=$arraybono[$key];$precio=$arrayprecioproducto[$key];$cantidadtotal=$suma+$bono;$sumatotal2=$cantidadtotal*$precio;$sumatotal3=$sumatotal3+$sumatotal2;$sumatotal=$sumatotal+$suma+$bono;}
                        }$subtotal=$subtotal+$sumatotal; ?>
                        <tr>
                            <td><? $produc=sprod($pitem); echo $produc['codigo'];?></td>
                            <td><? echo $produc['producto'];?></td>
                            <td><? echo $sumatotal; ?></td>
                        </tr>
                    <?$sumatotal=0;
                  }?>
              </tbody>
                  
                <tfoot>
                    <tr>
                    <td></td>
                    <td class="text-right h6"><b>SUMA TOTAL VENTA</td>
                    <? $row9 = $mysqli->query("SELECT * FROM z_ruteros WHERE id='$idrutero' ");
                        $row10 = $row9->fetch_assoc();
                    ?>
                    <td class="h6"><b><? $totalpago=$subtotal*$row10['ppp']; echo $sumatotal3;?></b></td>
                    </tr>
                    <tr>
                    <td></td>
                    <td class="text-right h6"><b>SUMA TOTAL DE PAQUETES <spam class="text-danger"><? echo $subtotal;?></spam></b></td>
                    <? $row9 = $mysqli->query("SELECT * FROM z_ruteros WHERE id='$idrutero' ");
                        $row10 = $row9->fetch_assoc();
                    ?>
                    <td class="h6"><b><? $totalpago=$subtotal*$row10['ppp']; echo $totalpago;?></b></td>
                    </tr>
                    <tr>
                    <td></td>
                    <td class="text-right h6"><b>SUMA TOTAL DE DIAS <spam class="text-danger"><? echo $days;?></spam></b></td>
                    <td class="h6"><b><? echo $days*$row10['ppr'];?></b></td>
                    </tr>
                </tfoot>
            </table>
          </div>
        </div>
        <a class="btn btn-primary inline-block" href="print-report.php?idrutero=<? echo base64_encode($_GET['idrutero']); ?>">Imprimir Reporte</a>
      </div>
    </div>
  <?php include "foot.php"; ?>
</body>
</html>    
    
 